package net.sourceforge.nattable.config;

import org.apache.commons.lang.NotImplementedException;

import net.sourceforge.nattable.layer.cell.LayerCell;

public abstract class ContextualEditableRule implements IEditableRule {

	public boolean isEditable(int columnIndex, int rowIndex) {
		throw new NotImplementedException(this.getClass().getName() 
				+ " is a ContextualEditableRule and has therefore to be called with context informations.");
	}

	public abstract boolean isEditable(LayerCell cell, IConfigRegistry configRegistry);

}
