package net.sourceforge.nattable.selection;

public class RowObjectIndexHolder <T> implements Comparable<RowObjectIndexHolder<T>> {
	private int index;
	private T row;

	public RowObjectIndexHolder(int index, T row) {
		this.index = index;
		this.row = row;
	}

	public Integer getIndex() {
		return index;
	}

	public T getRow() {
		return row;
	}

	public int compareTo(RowObjectIndexHolder<T> o) {
		return getIndex().compareTo(o.getIndex());
	}

}
