package net.sourceforge.nattable.tree.command;

import net.sourceforge.nattable.NatTable;
import net.sourceforge.nattable.tree.command.TreeExpandCollapseCommand;
import net.sourceforge.nattable.layer.cell.LayerCell;
import net.sourceforge.nattable.ui.action.IMouseAction;

import org.eclipse.swt.events.MouseEvent;

public class TreeExpandCollapseAction implements IMouseAction {
	
	public void run(NatTable natTable, MouseEvent event) {
		int c = natTable.getColumnPositionByX(event.x);
		int r = natTable.getRowPositionByY(event.y);
		LayerCell cell = natTable.getCellByPosition(c, r);
		int index = cell.getLayer().getRowIndexByPosition(cell.getRowPosition());
		TreeExpandCollapseCommand command = new TreeExpandCollapseCommand(index);
		natTable.doCommand(command);
	}
}
