package net.sourceforge.nattable.data.convert;

import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.layer.cell.LayerCell;

public abstract class DisplayConverter implements IDisplayConverter {

	public abstract Object canonicalToDisplayValue(Object canonicalValue);

	public abstract Object displayToCanonicalValue(Object displayValue);
	
	public Object canonicalToDisplayValue(LayerCell cell, IConfigRegistry configRegistry, Object canonicalValue) {
		return canonicalToDisplayValue(canonicalValue);
	}

	public Object displayToCanonicalValue(LayerCell cell, IConfigRegistry configRegistry, Object displayValue) {
		return displayToCanonicalValue(displayValue);
	}

}
