package net.sourceforge.nattable.data.validate;

import org.apache.commons.lang.NotImplementedException;

import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.layer.cell.LayerCell;

public abstract class ContextualDataValidator implements IDataValidator {

	public boolean validate(int columnIndex, int rowIndex, Object newValue) {
		throw new NotImplementedException(this.getClass().getName() 
				+ " is a ContextualDataValidator and has therefore to be called with context informations.");
	}

	public abstract boolean validate(LayerCell cell, IConfigRegistry configRegistry, Object newValue);

}
