package net.sourceforge.nattable.filterrow;

import java.util.Map;

public interface IFilterStrategy<T> {

	/**
	 * Apply the filter(s) specified by the entered filter text. 
	 * @param filterTextByIndex A Map of column indexes to filter text Strings.
	 */
	void applyFilter(Map<Integer, Object> filterObjectByIndex);

}
