package net.sourceforge.nattable.hideshow.command;

import net.sourceforge.nattable.command.AbstractLayerCommandHandler;
import net.sourceforge.nattable.hideshow.RowHideShowLayer;

public class MultiRowHideCommandHandler extends AbstractLayerCommandHandler<MultiRowHideCommand>{

	private final RowHideShowLayer rowHideShowLayer;

	public MultiRowHideCommandHandler(RowHideShowLayer rowHideShowLayer) {
		this.rowHideShowLayer = rowHideShowLayer;
	}
	
	public Class<MultiRowHideCommand> getCommandClass() {
		return MultiRowHideCommand.class;
	}

	@Override
	protected boolean doCommand(MultiRowHideCommand command) {
		rowHideShowLayer.hideRowPositions(command.getRowPositions());
		return true;
	}
	
}
