package net.sourceforge.nattable.selection;

import java.util.List;

public interface IRowSelectionModel<R> extends ISelectionModel {

	/**
	 * Expose the underlying row objects
	 * 
	 * @return
	 */
	public List<R> getSelectedRowObjects();
	
	/**
	 * Removes the selected row object from the selection
	 * 
	 * @param rowObject
	 */
	public void clearSelection(R rowObject);
	
}
