package net.sourceforge.nattable.selection.command;

import net.sourceforge.nattable.selection.SelectionLayer.MoveDirectionEnum;

public class ScrollSelectionCommand extends AbstractSelectionCommand {

	private final MoveDirectionEnum direction;
	
	public ScrollSelectionCommand(MoveDirectionEnum direction, boolean shiftMask, boolean controlMask) {
		super(shiftMask, controlMask);
		this.direction = direction;
	}

	public MoveDirectionEnum getDirection() {
		return direction;
	}
	
}
